
#INSTALL_PATH=$(HOME)/bin

FFTW_DIR= $(FFTW_ROOT)
HDF5_DIR= $(HDF5_ROOT)

BLAS_LIB= -L$(OPENBLAS_ROOT)/lib/ -lopenblas

ifdef USE_PROJ
	DYN_LIBS=-lproj
endif

ifeq ($(PLATFORM), DEBUG)
	OPTS=-g  -O3  -fcheck=all -fbacktrace  -Wall -Wextra -Wpedantic  -Wfatal-errors 	 
	OPTS+= -D trap_errorneous
else
	OPTS=-g   -O3 -ffast-math -flto -march=native -mtune=native  
	NO_WARN=  -Wno-unused-variable -Wno-tabs -Wno-unused-parameter -Wno-unused-dummy-argument -Wno-unused-function
endif

ifndef NO_PGIEM2G

	USE_MPI=1
	USE_OPENMP=1
	USE_FFTW_OPENMP=1
	OPTS+=-D MERGE_PGIEM2G

endif 



ifndef USE_MPI
	FC=gfortran
else
	FC=mpifort
	OPTS+=-D USE_MPI
endif

ifdef USE_OPENMP
	OPTS+= -D USE_OPENMP 
	OPTS+= -fopenmp
endif

TRAPS= -ffpe-trap=zero,underflow,overflow,denormal,invalid -finit-real=snan -finit-derived

############################################  END OF USER DEFINED PART ############################################

LIBS+= $(BLAS_LIB)
ifndef NO_PGIEM2G
	LIBS+= -L$(FFTW_DIR)/lib64 -lfftw3_mpi
endif

ifdef USE_FFTW_OPENMP
	LIBS+=  -L$(FFTW_DIR)/lib64 -lfftw3_omp -lfftw3
	OPTS+= -D USE_FFTW_OPENMP
else
	LIBS+=   -L$(FFTW_DIR)/lib64  -lfftw3
endif

HDF5_LIBS =-L$(HDF5_DIR)/lib64  -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5
HDF5_INCS=-I$(HDF5_DIR)/include

DYN_LIBS+=-lz  -ldl

INCLUDE= -I$(FFTW_DIR)/include


ifdef USE_PROJ
	OPTS+=-D USE_PROJ8
endif
